Class UstraMvcRequestBodyAdvice

java.lang.Object
org.springframework.web.servlet.mvc.method.annotation.RequestBodyAdviceAdapter
com.gsitm.ustra.java.mvc.rest.UstraMvcRequestBodyAdvice
All Implemented Interfaces:
org.springframework.web.servlet.mvc.method.annotation.RequestBodyAdvice

@ControllerAdvice @Order(-2147483648) public class UstraMvcRequestBodyAdvice extends org.springframework.web.servlet.mvc.method.annotation.RequestBodyAdviceAdapter
매핑 이벤트를 발생하기 위한 Request body advice
  • Constructor Summary

    Constructors
    Constructor
    Description
     
  • Method Summary

    Modifier and Type
    Method
    Description
    afterBodyRead(Object body, org.springframework.http.HttpInputMessage inputMessage, org.springframework.core.MethodParameter parameter, Type targetType, Class<? extends org.springframework.http.converter.HttpMessageConverter<?>> converterType)
     
    boolean
    supports(org.springframework.core.MethodParameter methodParameter, Type targetType, Class<? extends org.springframework.http.converter.HttpMessageConverter<?>> converterType)
     

    Methods inherited from class org.springframework.web.servlet.mvc.method.annotation.RequestBodyAdviceAdapter

    beforeBodyRead, handleEmptyBody

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
  • Constructor Details

    • UstraMvcRequestBodyAdvice

      public UstraMvcRequestBodyAdvice()
  • Method Details

    • supports

      public boolean supports(org.springframework.core.MethodParameter methodParameter, Type targetType, Class<? extends org.springframework.http.converter.HttpMessageConverter<?>> converterType)
    • afterBodyRead

      public Object afterBodyRead(Object body, org.springframework.http.HttpInputMessage inputMessage, org.springframework.core.MethodParameter parameter, Type targetType, Class<? extends org.springframework.http.converter.HttpMessageConverter<?>> converterType)
      Specified by:
      afterBodyRead in interface org.springframework.web.servlet.mvc.method.annotation.RequestBodyAdvice
      Overrides:
      afterBodyRead in class org.springframework.web.servlet.mvc.method.annotation.RequestBodyAdviceAdapter